Problemas con GCC

gcc_logo.png

Para los que no sepan, GCC es un conjunto de compiladores creados por el proyecto GNU. Hace unos dias me anime a compilar un paquete pero me tope con un error que por lo visto es bastante comun.

Al compilar hay que ejecutar algunos comandos desde la terminal y algunos scripts de uno de ellos es “configure”

Bueno, el chiste es que al ejecutar dicho script me salia el siguiente error:

configure: error: installation or configuration problem: C compiler cannot create executables.

La solucion es muy sencilla, solo debemos instarlar el “build essential”. Se puede instalar desde la terminal o desde synaptic. Con esto al ejecutar ./configure no nos saldra ningun error y podremos compilar sin problemas. Compilar no es dificil, asi que si necesitan compilar algun paquete animense a hacerlo.

8 respuestas a Problemas con GCC

  1. vatulcat dice:

    Al fin muchachos.. hace tiepo que venia lidiando con este maldito problemin… y la solucion era tan simple… grande ubuntu para novatos.. y gracias

  2. bbto dice:

    q onda! es un gusto verte de nuevo por aca, y tambien un gusto haber ayudado…

  3. vatulcat dice:

    Si, es q ando perdido porque estoy en mesas de examen, y poco tiempo para dedicarle a mi PC, aunque algunas cositas hago, y lo bueno es que he aprendido bastante, asique en poco tiempo mas voy a colaborar seguramente con alguito.
    Siempre hojeo la pagina, aunque no escriba.
    Un abrazo BBto, hasta pronto….

  4. Juan dice:

    No puedo dar los primerospasos con gcc. Alguien puede ayudarme
    GRACIAS

  5. Fernando dice:

    como exactamente instalo el paquete build essential!!!??? ejecute la orden sudo apt get-update y me pasio inmediatamente “password:” introduje mi clave de usuario y no me aparecio mas nada!!

  6. bbto dice:

    Lo que sucede es que estas escribiendo mal la orden, escribe: “sudo apt-get install”
    salu2.

  7. JF dice:

    Muchsa gracias

    apt-get install build-essential

    hizo la magia

    Muchas gracias

  8. IMMA dice:

    He instalado el paquete build essential mediante el comando apt-get install y continuo obteniendo el siguiente error al intentar compilar HolaMundo.c:

    /media/datos/holamundo.c:3:error: stray ‘\216’ in program

    ¿Alguien sabe como solucionarlo?

    Gracias

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: